- @html_class = "subscriptions-layout-html"
- @hide_flash = true
- page_title _('Your GitLab group')
- form_params = { glm_source: params[:glm_source], glm_content: params[:glm_content] }
- content_for :page_specific_javascripts do
  = render "layouts/google_tag_manager_head"
  = render "layouts/one_trust"
= render "layouts/google_tag_manager_body"

.row.gl-grow
  .gl-flex.gl-flex-col.gl-items-center.gl-w-full.gl-px-5.gl-pb-5
    .new-project.gl-flex.gl-flex-col.gl-items-center.gl-w-full.sm:gl-w-auto
      %h2.gl-text-center= _('Create or import your first project')

      %p.gl-text-center= _('Projects help you organize your work. They contain your file repository, issues, merge requests, and so much more.')

      .js-toggle-container.gl-w-full
        %ul.nav.nav-tabs.nav-links.gitlab-tabs.js-group-project-tabs{ role: 'tablist' }
          %li.nav-item{ role: 'presentation' }
            %a#blank-project-tab.nav-link.active{ href: '#blank-project-pane',
              role: 'tab',
              data: { toggle: 'tab', track_action: 'click_tab', track_label: 'blank_project' } }
              %span= s_('ProjectsNew|Create')
          %li.nav-item{ role: 'presentation' }
            %a#import-project-tab.nav-link{ href: '#import-project-pane',
              role: 'tab',
              data: { toggle: 'tab', track_action: 'click_tab', track_label: 'import_project' } }
              %span= s_('ProjectsNew|Import')

        .tab-content.gitlab-tab-content.gl-bg-white.js-group-project-tab-contents
          #blank-project-pane.tab-pane.js-toggle-container.active{ role: 'tabpanel' }
            = gitlab_ui_form_for :project_group, url: users_sign_up_groups_path(form_params), html: { class: 'gl-show-field-errors gl-w-full gl-p-4 js-groups-projects-form' } do |f|
              = form_errors(@group, type: "Group")
              = form_errors(@project, type: "Project")
              = render 'layouts/flash'

              .js-create-import-group-project-fields{ data: { group_persisted: @group.persisted?.to_s,
                group_id: @group.id,
                group_name: @group.name,
                project_name: @project.name,
                template_name: @template_name,
                initialize_with_readme: @initialize_with_readme.to_s,
                root_url: root_url } }

              = f.submit _('Create project'),
                class: 'btn-block',
                pajamas_button: true,
                data: { testid: 'submit-button' }

          #import-project-pane.tab-pane.import-project-pane.js-toggle-container{ role: 'tabpanel' }
            - if import_sources_enabled?
              = form_tag users_sign_up_groups_path(form_params), class: 'gl-show-field-errors gl-w-full gl-p-4 js-import-project-form' do
                = form_errors(@group, type: "Group")
                = render 'layouts/flash'

                .js-create-import-group-project-fields{ data: { import_group: 'true',
                  group_persisted: @group.persisted?.to_s,
                  group_id: @group.id,
                  group_name: @group.name,
                  root_url: root_url } }

                = hidden_field_tag :import_url, nil, class: 'js-import-url'
                = submit_tag nil, class: 'gl-hidden'

              .js-import-project-buttons
                = render 'projects/import_project_pane', destination_namespace_id: @namespace&.id
            - else
              .nothing-here-block
                %h4= s_('ProjectsNew|No import options available')
                %p= s_('ProjectsNew|Contact an administrator to enable options for importing your project.')
